- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::FindMetadatumByKey Class Reference

Unary predicate that matches a Exifdatum with a given key. More...

`#include <metadatum.hpp>`

Collaboration diagram for Exiv2::FindMetadatumByKey:

[legend]
List of all members.

## Public Member Functions
| FindMetadatumByKey (const std::string &key)
| Constructor, initializes the object with the tag to look for.
bool | operator() (const Metadatum &metadatum) const
| Returns true if the key of the argument metadatum is equal to that of the object.

## Detailed Description

Unary predicate that matches a Exifdatum with a given key.

The documentation for this class was generated from the following file:

- metadatum.hpp